Package com.logicaldoc.core.document

# Class TagsProcessor

java.lang.Object
com.logicaldoc.core.task.Task
com.logicaldoc.core.document.TagsProcessor

All Implemented Interfaces:
  `Runnable`

@Component("tagsProcessor") public class TagsProcessor extends Task
This task generate all data needed by the tag cloud panel and the tags drop-down lists.

Since:
  4.0
Author:
  Marco Meschieri - LogicalDOC

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

### Fields inherited from class com.logicaldoc.core.task.Task

`STATUS_IDLE, STATUS_RUNNING, STATUS_STOPPING`

## Constructor Summary

Constructors
Constructor
Description
`TagsProcessor()`

## Method Summary

Modifier and Type
Method
Description
`static TagsProcessor`
`get()`
Gets the object available in the application context
`long`
`getSize()`
The the total size of the processing(number of units of work)
`boolean`
`isConcurrent()`
Concrete implementations must override this method declaring if the task supports multiple instances running concurrently.
`boolean`
`isIndeterminate()`
Concrete implementations must override this method declaring if the task is indeterminate.

### Methods inherited from class com.logicaldoc.core.task.Task

`addTaskListener, getCompletionPercentage, getConfig, getName, getProgress, getReportRecipients, getScheduling, getStatus, interrupt, isInterrupted, isInterruptRequested, isRunning, isSendActivityReport, notifyReport, removeTaskListener, run, save, saveWork, setReportRecipients, setSendActivityReport, setSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

## Constructor Details

### TagsProcessor

public TagsProcessor()

## Method Details

### get

public static TagsProcessor get()
Gets the object available in the application context

Returns:
  the instance of this object in the application context

### isIndeterminate

public boolean isIndeterminate()
Description copied from class: `Task`
Concrete implementations must override this method declaring if the task is indeterminate. An indeterminate task is not able to compute it's time length

Specified by:
  `isIndeterminate` in class `Task`
Returns:
  true if the task is indeterminate

### isConcurrent

public boolean isConcurrent()
Description copied from class: `Task`
Concrete implementations must override this method declaring if the task supports multiple instances running concurrently. tHIbernat

Specified by:
  `isConcurrent` in class `Task`
Returns:
  true if the task is concurrent

### getSize

public long getSize()
Description copied from class: `Task`
The the total size of the processing(number of units of work)

Overrides:
  `getSize` in class `Task`
Returns:
  total number of steps